<div class="lw-project-wrapper lw-general-title" xmlns:v-on="http://www.w3.org/1999/xhtml" xmlns:v-bind="http://www.w3.org/1999/xhtml">
  <!--Tab name and Create Project button-->
  <div class="lw-container">
    <div class="row">
      <div class="col-12 col-md-8">
        <h2>Projects</h2>
      </div>
      <div class="col-12 col-md-4">
        <button class="btn btn-success btn-lg float-right"
                data-toggle="modal"
                data-target="#createProject">
          Create Project
        </button>
      </div>
    </div>
  </div>

  <!--Search bar-->
  <div class="lw-container">
    <nav class="navbar navbar-expand-sm navbar-light bg-light py-2 mt-5">
      <button class="navbar-toggler ml-3" data-toggle="collapse" data-target="#searchBar">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="lw-proj-search-bar collapse navbar-collapse w-100" id="searchBar">
        <form class="w-100">
          <div class="input-group">
            <input type="text" class="form-control form-control-lg"
                   placeholder="Search project..." v-model="searchKey">
          </div>
        </form>
      </div>
    </nav>
  </div>

  <!--Table-->
  <div class="lw-container table-responsive">
    <table class="table table-hover table my-5">
      <thead>
      <tr class="d-flex">
        <th class="lw-table-header col-3" v-on:click="sortTable('name')">
          <span>Project</span>
          <span>
              <span v-bind:class="{active: sortBy === 'name' && sortOrder === 'asc'}">
                <i class="fas fa-angle-down"></i>
              </span>
              <span v-bind:class="{active: sortBy === 'name' && sortOrder === 'desc'}">
                <i class="fas fa-angle-up"></i>
              </span>
            </span>
        </th>
        <th class="lw-table-header col-3" v-on:click="sortTable('createAt')">
          <span>Created</span>
          <span>
              <span v-bind:class="{active: sortBy === 'createAt' && sortOrder === 'asc'}">
                <i class="fas fa-angle-down"></i>
              </span>
              <span v-bind:class="{active: sortBy === 'createAt' && sortOrder === 'desc'}">
                <i class="fas fa-angle-up"></i>
              </span>
            </span>
        </th>
        <th class="lw-table-header col-3" v-on:click="sortTable('updateAt')">
          <span>Updated</span>
          <span>
              <span v-bind:class="{active: sortBy === 'updateAt' && sortOrder === 'asc'}">
                <i class="fas fa-angle-down"></i>
              </span>
              <span v-bind:class="{active: sortBy === 'updateAt' && sortOrder === 'desc'}">
                <i class="fas fa-angle-up"></i>
              </span>
            </span>
        </th>
        <th class="lw-table-header col-3" v-on:click="sortTable('timeSpent')">
          <span>Time Spent</span>
          <span>
              <span v-bind:class="{active: sortBy === 'timeSpent' && sortOrder === 'asc'}">
                <i class="fas fa-angle-down"></i>
              </span>
              <span v-bind:class="{active: sortBy === 'timeSpent' && sortOrder === 'desc'}">
                <i class="fas fa-angle-up"></i>
              </span>
            </span>
        </th>
      </tr>
      </thead>
      <tbody>
      <tr class="d-flex" v-for="proj in projectsSorted">
        <td class="col-3">{{ proj.name }}</td>
        <td class="col-3">{{ proj.createAt | convertDate }}</td>
        <td class="col-3">{{ proj.updateAt | convertDate }}</td>
        <td class="col-3">{{ proj.timeSpent }}</td>
      </tr>
      </tbody>
    </table>
  </div>

  <!--Modal for Create Project button-->
  <div class="modal" id="createProject">
    <div class="modal-dialog modal-lg">
      <div class="modal-content px-4">
        <div class="modal-header">
          <p class="modal-title align-self-center">Create Project</p>
          <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
          <div class="input-group mb-3 pt-4">
            <input type="text" class="form-control" placeholder="Project name..." v-model="newProjectName">
            <div class="input-group-append">
              <button class="btn btn-success btn-lg f-w float-right" data-dismiss="modal"
                      v-bind:disabled="canCreateProject"
                      v-on:click="createProject">
                Create project
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

